const crypto = require("crypto");

module.exports = function() {
  return (crypto.randomBytes(4).toString('hex')
    + '-' + crypto.randomBytes(2).toString('hex')
    + '-' + crypto.randomBytes(2).toString('hex')
    + '-' + crypto.randomBytes(2).toString('hex')
    + '-' + crypto.randomBytes(6).toString('hex'));
};